package org.kde.koala;
import org.kde.qt.*;


/** {@link KDockManager} emits these signals */
public interface KDockManagerSignals {

/** 
 Signals a dockwidget without parent (toplevel) is shown.
   
*/
	void setDockDefaultPos( KDockWidget arg1 );
	void destroyed( QObject obj );

/** 
 Signals changes of the docking state of a dockwidget. Usually the dock-toolbar will be updated then.
   
*/
	void change();

/** 
 Signals a dockwidget is replaced with another one.
   
*/
	void replaceDock( KDockWidget oldDock, KDockWidget newDock );
}

